﻿using System;
using System.Security.Permissions;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Security;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.Workflow;

namespace CustomErrorPage.MaxSubSitesReceiver
{
    /// <summary>
    /// Web 事件
    /// </summary>
    public class MaxSubSitesReceiver : SPWebEventReceiver
    {
        /// <summary>
        /// 正在配置网站.
        /// </summary>
        public override void WebAdding(SPWebEventProperties properties)
        {
            // check how many other subsites are in the current site this 
            //      site is being created within... no more than 2 allowed
            if (properties.Web.Webs.Count >= 2)
            {
                properties.Cancel = true;
                properties.RedirectUrl = "/_layouts/CustomErrorPage/SiteCreationError.aspx";
                properties.Status = SPEventReceiverStatus.CancelWithRedirectUrl;

            }
        }
    }
}
