﻿using System;
using System.Security.Permissions;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Security;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.Workflow;

namespace CustomErrorPage.TaskDueDateReceiver
{
    /// <summary>
    /// 列表项事件
    /// </summary>
    public class TaskDueDateReceiver : SPItemEventReceiver
    {
       /// <summary>
       /// 正在添加项.
       /// </summary>
       public override void ItemAdding(SPItemEventProperties properties)
       {
           base.ItemAdding(properties);
           if (string.IsNullOrEmpty(properties.AfterProperties["DueDate"].ToString()))
           {
                properties.Status = SPEventReceiverStatus.CancelWithRedirectUrl;
                properties.RedirectUrl = "/_layouts/CustomErrorPage/DueDateErrorPage.aspx";
           }
       }


    }
}
